跳转到主要内容
POST
/
veo
/
extend
Veo Extend
curl --request POST \
  --url https://api.acedata.cloud/veo/extend \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "video_id": "video-uuid-xxx",
  "model": "veo31-fast"
}
'
import requests

url = "https://api.acedata.cloud/veo/extend"

payload = {
    "video_id": "video-uuid-xxx",
    "model": "veo31-fast"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({video_id: 'video-uuid-xxx', model: 'veo31-fast'})
};

fetch('https://api.acedata.cloud/veo/extend', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": {},
  "success": true
}
{
  "error": {
    "code": "token_mismatched",
    "message": "The specified token is not matched with API."
  },
  "trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
  "error": {
    "code": "invalid_token",
    "message": "The specified token is invalid or wrong."
  },
  "trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
  "error": {
    "code": "used_up",
    "message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
  },
  "trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
  "error": {
    "code": "no_api",
    "message": "API does not exist, please make sure url is correct."
  },
  "trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
  "error": {
    "code": "too_many_requests",
    "message": "You have exceeded the rate limit."
  },
  "trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
  "error": {
    "code": "api_error",
    "message": "Internal server error."
  },
  "trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}

授权

Authorization
string
header
必填

请求头

accept
enum<string>

Veo Extend Param Accept

可用选项:
application/json

请求体

application/json
video_id
string
必填

Veo Extend Video Id

示例:

"video-uuid-xxx"

model
enum<string>
必填

Veo Extend Model

可用选项:
veo31-fast,
veo31
示例:

"veo31-fast"

prompt
string

Veo Extend Prompt

示例:

"the camera slowly zooms out to reveal more of the landscape"

callback_url
string

Veo Extend Callback Url

async
boolean

Veo Extend Async

响应

Veo Extend Response 200

data
object

Veo Extend Response 200 Data

success
boolean

Veo Extend Response 200 Success